Sistemas

Migrar a Debian Lenny


Ya pasó un año y medio desde que la anterior versión estable de Debian GNU/Linux, llamada ETCH, viera la luz, fue allá por abril de 2007, soportando 11 arquitecturas y estando compuesta por 18000 paquetes de software, su lanzamiento en esa época demoró 2 años, y tendrá soporte hasta setiembre de 2009. Un gran trabajo, si pensamos que es realizado por voluntarios alrededor de todo el mundo.

Antes de pasar a hablar de Debian Lenny, la próxima versión estable, quería realizar una pequeña reflexión: ¿qué es lo que hace que Debian ETCH sea tan utilizada y que suponga una atención especial en materia de actualización para soportar nuevo hardware? Además de la famosa estabilidad de Debian, quizá sucede que el software libre en general ha llegado a estados de desarrollo lo suficientemente aptos, eficientes, funcionales, como para no necesitar ir detrás de "la última moda" o la última mejora. Es algo que a veces se le podría reprochar a la mayoría de las distribuciones GNU/Linux: sacrifican estabilidad por estar "a la última", y terminan generando sistemas operativos incómodos, molestos.

Pero actualizarse suele ser una necesidad, al menos en varios rubros. Por ejemplo en materia de multimedia aún el software libre carece de programas adecuados en ciertos rincones, como el caso de la edición de Video: Cinelerra, Kdenlive o el editor de video de Blender aún son, o inestables, o poco funcionales si los comparamos con alternativas privativas (adobe premier, etc).

En materia de audio, "la cosa va bien", Ardour 2.x es un editor multipista excelente que podría ser utilizado en producción en cualquier estudio de cualquier nivel, pero la versión 3 incorporará soporte para grabación y reproducción MIDI, con lo cual todos (bah, la mayoría de los músicos) querrán actualizar.

Eso, por un lado. Por otro lado, la aparición de Firefox 3.x, de escritorios livianos como LXDE, de mejoras en el kernel Linux, en los escritorios KDE, GNOME y en verdad en todo el software (no estamos nombrando cuestiones básicas para servidores, etc.), hace que la actualización desde ETCH (abril de 2007) hacia Lenny (planificado para ser estable a fines de 2008) tenga sentido.

Por mi parte he actualizado a Lenny sin demasiados problemas (utilizando aptitude en lugar de apt-get)... aunque no hubiera sido posible hacerlo sin saber modificar el archivo de configuración del servidor gráfico X11... una tarea no apta para usuarios nuevos. Cuando actualicé, el mouse dejó de andar, y luego el sistema se colgaba si cambiaba la resolución de la pantalla, hasta que descubrí que el driver de video que se estaba utilizando era el genérico vesa, en lugar del adecuado para mi tarjeta, una savage.

En fin, todo funciona más ágilmente, el sistema inicia más rápido, Firefox (iceweasel) no se cuelga nunca (la versión de ETCH es fatal), Abiword anda mejor, GAIM fue reemplazado por pidgin para chatear, y es mejor, mi sistema se ve como siempre y estoy contento con el cambio.



Por Marcos el mes de diciembre del 2008

Historias relacionadas

Volver al inicio